MATLAB Answers

Regarding configuremodelsim, It does not configure the selected modelsim

8 views (last 30 days)
Pooja
Pooja on 14 Oct 2013
Answered: Hans on 5 Dec 2013
Hello,
For HDL Co-simulation in MATLAB 2011a, I have two modelsim installed on my machine 1)Modelsim XE 6.2c and then I installed Modelsim PE Student Edition 10.2c
Then i used configuremodelsim, and selected Modelsim PE Edition 10.2c. I also added it in the system path. When I check !vsim -version, it still shows the modelsim XE 6.2c and vsim it opens the older version.
How can i change the configuration, and configure modelsim 10.2c with matlab.

Answers (3)

Bharath Venkataraman
Bharath Venkataraman on 25 Oct 2013
You can call the MATLAB function vsim with a setting for the property vsimdir. Running "help vsim" in MATLAB will give you the information you need.

Tao Jia
Tao Jia on 29 Oct 2013
The configmodelsim has been in the deprecation state since 2009a, and it is completed removed in 2012a. Please avoid using this function and use vsim command instead. Vsim would pick up the fist ModelSim appears in the system path.
If you have two modlesim installated, you need to make sure that the one you want to use appears first. In your case, ModelSim PE should be the first one since ModelSim XE does not work with cosimulation.

Hans
Hans on 5 Dec 2013
How can i make sure that the version of ModelSim i want to start appears first? So far i try >> vsim('vsimdir','C:\Modeltech_pe_edu_10.2c\'). Not 10.2c start but an other version of ModelSim does...

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!